Supported Versions: Current (11) / 10 / 9.6 / 9.5 / 9.4
Development Versions: 12 / devel
Unsupported versions: 9.3 / 9.2 / 9.1 / 9.0 / 8.4
This documentation is for an unsupported version of PostgreSQL.
You may want to view the same page for the current version, or one of the supported versions listed above instead.

36.27. foreign_data_wrappers

The view foreign_data_wrappers contains all foreign-data wrappers defined in the current database. Only those foreign-data wrappers are shown that the current user has access to (by way of being the owner or having some privilege).

Table 36.25. foreign_data_wrappers Columns

Name Data Type Description
foreign_data_wrapper_catalog sql_identifier Name of the database that contains the foreign-data wrapper (always the current database)
foreign_data_wrapper_name sql_identifier Name of the foreign-data wrapper
authorization_identifier sql_identifier Name of the owner of the foreign server
library_name character_data File name of the library that implementing this foreign-data wrapper
foreign_data_wrapper_language character_data Language used to implement this foreign-data wrapper